%define upstream_name Shell-Guess
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make an educated guess about the shell in use
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Shell/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
Shell::Guess makes a reasonably aggressive attempt to determine the
shell being employed by the user, either the shell that executed the
perl script directly (the "running" shell), or the users' login shell
(the "login" shell). It does this by a variety of means available to
it, depending on the platform that it is running on.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.90.0-2.mga8
+ Revision: 1520759
- Mageia 8 Mass Rebuild

* Fri Dec 07 2018 tv <tv> 0.90.0-1.mga7
+ Revision: 1338751
- update to 0.09

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-2.mga7
+ Revision: 1285991
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 tv <tv> 0.80.0-1.mga7
+ Revision: 1184404
- update to 0.08

* Tue Oct 03 2017 tv <tv> 0.70.0-2.mga7
+ Revision: 1166513
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.70.0-1.mga7
+ Revision: 1159470
- update to 0.07

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1033053
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 968019
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 851092
- imported package perl-Shell-Guess

